NAME
        minmax - force a value to be in a certain range.

SYNOPSYS
        mixed minmax(mixed value, mixed minimum, mixed maximum)

DESCRIPTION
        Checks the value against the minimum and the maximum and brings the
        value in range if it isn't by setting the value to the minimum or
        maximum if needed.

        Note that all three arguments must be of the same type.

ARGUMENTS
        value   - the value to test.
        minimum - the minimum the value must adhere to.
        maximum - the maximum the value must adhere to.
